
module Gorillapi
  module CurlBuilder
    def request_string
      <<-EOF
curl -X #{request_method} -k -i -v #{content_header} #{accept} #{authorization} #{add_params} #{host}
      EOF
    end

    def authorization
      "-H \"AUTHORIZATION: #{token}\""
    end

    def accept
      "-H \"Accept: #{accept_header}\""
    end

    def content_header
      "-H \"Content-Type: #{content_type}\""
    end

    def add_params
      "-d '#{params.to_json}'" unless params.nil? || params.empty? || params == ''
    end

    def host
      "http://#{url}#{path}"
    end
  end
end
